Subject: bug#10275: speedbar highlights first selected item in speedbar-highlight-face

From: Juanma Barranquero <[email-masked]>
Date: Thu, 15 Dec 2011 00:18:24 +0100

On Thu, Dec 15, 2011 at 00:06, Eric M. Ludlam <[email-masked]> wrote:

> I wrote that bit of code a long time ago.  The idea is to just show the line
> of interest in an easy to identify way, but have the highlight go away on
> the next keypress.

Aha. I was a bit confused because the highlighting is done with
speedbar-highlight-face, but the face's docstring does not suggest
that.

> It seems like all the frame switching running the hook is defeating the
> mechanism it was using.

So it seems, yes.

> Such a patch should be sent to the Emacs maintainers, as I haven't been
> maintaining speedbar directly lately.

OK. Thanks for your help.

    Juanma